---
title: Norway Utility
slug: api/norway-utility
icon: {"faIcon":"fa-solid fa-ellipsis-vertical"}
docTags: 
createdAt: 2025-02-28T00:26:19.727Z
---

**Verifies input data from the Government data sources in Norway.&#x20;**

For Authorization [Get Session Token ](https://app.archbee.com/public/PREVIEW-hnayPWtSAEmBvPEAR1R0A/PREVIEW-xqss5K2lV8fJT_0PV5DBk)from Authentication page.

:::ApiMethodV2
```json
{
  "name": "Norway Utility",
  "method": "POST",
  "url": "https://idu-test.datazoo.com/api/v2/verify",
  "description": "* Verification Outcome – Returns KYC verification\n* Consumer Consent – N/A\n* Mandatory Input – Name and Address\n* Verifies – Name, DOB, Address, Phone Number, and Email Address\n* Returned Data - N/A",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "f2jMy98sIuBrop0Bgc788",
        "language": "curl",
        "code": "curl --location 'https://idu-test.datazoo.com/api/v2/verify' \\\n--header 'Content-Type: application/json' \\\n--header 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6ImMtbVZlMl9KRFhMcnkzaEhQWEN4TyJ9.eyJ1aWQiOiIzMDMiLCJvaWQiOiI2MiIsImlzcyI6Imh0dHBzOi8vZGF0YXpvby10ZXN0LnVzLmF1dGgwLmNvbS8iLCJzdWIiOiJhdXRoMHwzMDMiLCJhdWQiOiJodHRwczovL2t5Yy10ZXN0LmRhdGF6b28uY29tIiwiaWF0IjoxNzQ0MjQzMjYzLCJleHAiOjE3NDQyNzkyNjMsImd0eSI6InBhc3N3b3JkIiwiYXpwIjoiSWxVdURJNTF1QXpuVnE2VGVoRXAyOXBrbEhBSjFtYnkifQ.Tm4NRaQQ4HlDcKXQVP3ENUEPIa4ntTbiMJzo2coZSLOSZTD1ECEGpN5Ii19ryFehpi139rg2ar6pI4zu-0Kdi8ixkiB50nKQhvDCqwIl0AZhr-_iJuTqhoTj3rb0Kt0loJVIUv9zXRwxIQCIekcudjwrZRA1_LQldM_guuC4TxdWfxjiukyTmivklshpPglZAoEAfUmQLqaYVI9Q5ENneIDwhHVdACfSrXerPXUJy76IKWlPkantC6WxE1tjrH72DxaIItJZCcQ4m_40COURGKeFAawCkp9xGx44GSVerT42tMVjc_pANKO06-hLnURo1ny8wztEfqmJc29BLY4fhA' \\\n--data '{\n    \"countryCode\": \"NO\",\n    \"service\": [\n        \"Norway Utility\"\n    ],\n    \"clientReference\": \"NOTest_001\",\n    \"firstName\": \"Don\",\n    \"lastName\": \"Koler\",\n    \"dateOfBirth\":\"1973-07-27\",\n    \"addressElement1\": \"9 Kristian Augusts Gate\",\n    \"addressElement3\": \"Oslo\",\n    \"addressElement5\":\"0164\",\n    \"identityVariables\": {\n    \t\"phoneNo\": \"45059224\",\n        \"email\": \"k.doncho@yahoo.no\"\n    }\n}'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "f2jMy98sIuBrop0Bgc788"
  },
  "results": {
    "languages": [
      {
        "id": "-KLLvb-_jXQIuU-WuWQAF",
        "language": "200",
        "code": "{\n  \"countryCode\": \"Norway\",\n  \"clientReference\": \"NOTest_001\",\n  \"reportingReference\": \"DZ-e3c492ea-d380-4164-a049-6505a84602ce\",\n  \"matchStatus\": \"Full Match 1+1 Verification\",\n  \"searchErrorMessage\": \"\",\n  \"safeHarbour\": false,\n  \"searchStatus\": \"Successful\",\n  \"serviceResponses\": {\n    \"Norway Utility\": {\n      \"status\": 0,\n      \"sourceStatus\": \"Successful\",\n      \"errorMessage\": \"\",\n      \"identityVerified\": true,\n      \"safeHarbourScore\": \"M1\",\n      \"nameMatchScore\": \"1.000\",\n      \"addressMatchScore\": \"1.000\",\n      \"verifications\": {\n        \"firstName\": true,\n        \"lastName\": true,\n        \"dateOfBirth\": true,\n        \"addressElement1\": true,\n        \"addressElement3\": true,\n        \"addressElement5\": true,\n        \"email\": true,\n        \"phoneNo\": true\n      },\n      \"returnedData\": {}\n      }\n    },\n    \"remarks\": []\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "-KLLvb-_jXQIuU-WuWQAF"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "name": "Authorization",
        "kind": "required",
        "type": "string",
        "description": "sessionToken obtained via the Authentication call",
        "": "sessionToken obtained via the Authentication call"
      }
    ],
    "bodyDataParameters": [
      {
        "name": "data",
        "kind": "required",
        "type": "object",
        "description": "request body sent to the API",
        "": "object",
        "children": [
          {
            "name": "countryCode",
            "kind": "required",
            "type": "string",
            "description": "NO"
          },
          {
            "name": "service",
            "kind": "required",
            "type": "array",
            "description": "Norway Utility"
          },
          {
            "name": "clientReference",
            "kind": "optional",
            "type": "string",
            "description": "a client reference field"
          },
          {
            "name": "firstName",
            "kind": "optional",
            "type": "string",
            "description": "the first name of the identity owner\n"
          },
          {
            "name": "lastName",
            "kind": "required",
            "type": "string",
            "description": "the last name of the identity owner\n"
          },
          {
            "name": "dateOfBirth",
            "kind": "optional",
            "type": "string",
            "description": "in YYYY-MM-DD (preferred) or DD-MM-YYYY format"
          },
          {
            "name": "addressElement1",
            "kind": "required",
            "type": "string",
            "description": "the street level address of the identity owner"
          },
          {
            "name": "addressElement3",
            "kind": "optional",
            "type": "string",
            "description": "the suburb address of the identity owner"
          },
          {
            "name": "addressElement5",
            "kind": "required",
            "type": "string",
            "description": "the postcode of the address of the identity owner",
            "children": []
          },
          {
            "name": "identityVariables",
            "kind": "optional",
            "type": "object",
            "description": "other elements for verification",
            "children": [
              {
                "name": "phoneNo",
                "kind": "optional",
                "type": "string",
                "description": "phone number of the identity owner"
              },
              {
                "name": "email",
                "kind": "optional",
                "type": "string",
                "description": "email address of the identity owner"
              }
            ]
          }
        ],
        "schema": [
          {
            "name": "countryCode",
            "kind": "required",
            "type": "string",
            "description": "NO"
          },
          {
            "name": "service",
            "kind": "required",
            "type": "array",
            "description": "Norway Utility"
          },
          {
            "name": "clientReference",
            "kind": "optional",
            "type": "string",
            "description": "a client reference field"
          },
          {
            "name": "firstName",
            "kind": "optional",
            "type": "string",
            "description": "the first name of the identity owner\n"
          },
          {
            "name": "lastName",
            "kind": "required",
            "type": "string",
            "description": "the last name of the identity owner\n"
          },
          {
            "name": "dateOfBirth",
            "kind": "optional",
            "type": "string",
            "description": "in YYYY-MM-DD (preferred) or DD-MM-YYYY format"
          },
          {
            "name": "addressElement1",
            "kind": "required",
            "type": "string",
            "description": "the street level address of the identity owner"
          },
          {
            "name": "addressElement3",
            "kind": "optional",
            "type": "string",
            "description": "the suburb address of the identity owner"
          },
          {
            "name": "addressElement5",
            "kind": "required",
            "type": "string",
            "description": "the postcode of the address of the identity owner",
            "children": []
          },
          {
            "name": "identityVariables",
            "kind": "optional",
            "type": "object",
            "description": "other elements for verification",
            "children": [
              {
                "name": "phoneNo",
                "kind": "optional",
                "type": "string",
                "description": "phone number of the identity owner"
              },
              {
                "name": "email",
                "kind": "optional",
                "type": "string",
                "description": "email address of the identity owner"
              }
            ]
          }
        ]
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "response": [
    {
      "name": "countryCode",
      "kind": "optional",
      "type": "string",
      "description": "Norway",
      "children": []
    },
    {
      "name": "clientReference",
      "kind": "optional",
      "type": "string",
      "description": "the client reference (if given as input) ",
      "children": []
    },
    {
      "name": "reportingReference",
      "kind": "optional",
      "type": "string",
      "description": "a reference number generated which is unique to each transaction. ",
      "children": []
    },
    {
      "name": "validationErrors",
      "kind": "optional",
      "type": "string",
      "description": "Returned with HTTP status code 400 when the request contains invalid or improperly formatted input data.",
      "children": []
    },
    {
      "name": "matchStatus",
      "kind": "optional",
      "type": "string",
      "description": "\"Full Match 1+1 Verification\" \n\"No Match\""
    },
    {
      "name": "searchErrorMessage",
      "kind": "optional",
      "type": "string",
      "description": "error message returned querying the data source",
      "children": []
    },
    {
      "name": "safeHarbour",
      "kind": "optional",
      "type": "boolean",
      "description": "true or false",
      "children": []
    },
    {
      "name": "searchStatus",
      "kind": "optional",
      "type": "string",
      "description": "\"Successful\" \n\"Not Successful\"",
      "children": []
    },
    {
      "name": "serviceResponses",
      "kind": "optional",
      "type": "object",
      "description": "Verification Details with \"Norway Residential\" returned as the Service Identifier. ",
      "children": [
        {
          "name": "status",
          "kind": "optional",
          "type": "integer",
          "description": "0 - identityVerified TRUE - element verifications all TRUE\n1 - identityVerified TRUE - element verifications not all TRUE\n2 - identityVerified FALSE - sourceStatus SUCCESSFUL\n3 - identityVerified FALSE - sourceStatus NOT SUCCESSFUL"
        },
        {
          "name": "sourceStatus",
          "kind": "optional",
          "type": "string",
          "description": "\"Successful\"\n\"Unsuccessful\""
        },
        {
          "name": "errorMessage",
          "kind": "optional",
          "type": "string",
          "description": "error message(s) from the data source.  Example, \"Error querying data source\"."
        },
        {
          "name": "identityVerified",
          "kind": "optional",
          "type": "boolean",
          "description": "true or false"
        },
        {
          "name": "safeHarbourScore",
          "kind": "optional",
          "type": "string",
          "description": "M1, M2, N1, L1, L2, L4 or \"none\" \n* For more information, refer to Safe Harbour Scores page"
        },
        {
          "name": "nameMatchScore",
          "kind": "optional",
          "type": "string",
          "description": "A string that acts as a value between 0.000 and 1.000."
        },
        {
          "name": "addressMatchScore",
          "kind": "optional",
          "type": "string",
          "description": "A string that acts as a value between 0.000 and 1.000."
        },
        {
          "name": "verifications",
          "kind": "optional",
          "type": "object",
          "description": "element level verification returned as true or false\n[Only applicable elements will be included, and not all elements may be present]",
          "children": [
            {
              "name": "addressElement1",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "addressElement3",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "addressElement5",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "dateOfBirth",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "firstName",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "lastName",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "phoneNo",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "email",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            }
          ]
        },
        {
          "name": "returnedData",
          "kind": "optional",
          "type": "object",
          "description": "Null",
          "children": []
        }
      ]
    },
    {
      "name": "remarks",
      "kind": "optional",
      "type": "array",
      "description": "will return remarks regarding any encountered issues.",
      "children": []
    }
  ],
  "autoGeneratedAnchorSlug": "norway-utility",
  "legacyHash": "U_LXPMNj7k-VmJW4Co_Dw"
}
```
:::

***

:::hint{type="info"}
**Mandatory Input for Name**

Either of the following must be provided:&#x20;

- ( `firstName `+ `lastName `) **Mandatory&#x20;**&#x77;hen `fullName `is not provided
- `fullName `is **Mandatory&#x20;**&#x77;hen ( `firstName `+ `lastName `) are not provided
:::

***

::::hint{type="info"}
**Links**

:::CtaButton{label="About Safe Harbour Scores" docId="9Fe9gAz4I566ohH2Thslq" openInNewTab="true"}

:::
::::

***

:::Changelog{title="Change History"}
::ChangelogItem{type="added" description="Last updated - 10 April, 2025"}
:::

